#ifndef DESIGNER_MAINWINDOW_H
#define DESIGNER_MAINWINDOW_H

#include <emainwindow.h>
#include <qsingleapplication.h>


class DesignerMainWindow: public EMainWindow
{
	Q_OBJECT
public:
	explicit DesignerMainWindow(QString name, QWidget * parent = 0);
	virtual ~DesignerMainWindow();

	void loadFile(const QString & fp);
	void showMain();

	bool isFirst() const;

protected:
	virtual void setAddress(int a) {}
	virtual void setDevice(const QString & d) {}
	virtual void procArguments(const QStringList & a) {}

private:
	void initAbout();
	bool procArgs(const QStringList & args, bool check = false);

	QSingleApplication qsa;

public slots:
	void unchange();
	void showAbout();

private slots:
	void anotherAppMessage(QByteArray data);

};

#endif // DESIGNER_MAINWINDOW_H
